[**@rxap/open-api v19.2.0-dev.3**](../README.md)

***

[@rxap/open-api](../globals.md) / OpenApiHttpResponseError

# Class: OpenApiHttpResponseError

Defined in: [packages/angular/open-api/src/lib/open-api-http-response.error.ts:4](https://gitlab.com/rxap/packages/-/blob/2042e24ce69e05f30c2866a6fa61d9fd6fd89a30/packages/angular/open-api/src/lib/open-api-http-response.error.ts#L4)

## Extends

- `HttpErrorResponse`

## Constructors

### new OpenApiHttpResponseError()

> **new OpenApiHttpResponseError**(`httpErrorResponse`, `metadata`): [`OpenApiHttpResponseError`](OpenApiHttpResponseError.md)

Defined in: [packages/angular/open-api/src/lib/open-api-http-response.error.ts:6](https://gitlab.com/rxap/packages/-/blob/2042e24ce69e05f30c2866a6fa61d9fd6fd89a30/packages/angular/open-api/src/lib/open-api-http-response.error.ts#L6)

#### Parameters

##### httpErrorResponse

`HttpErrorResponse`

##### metadata

[`OpenApiMetaData`](../interfaces/OpenApiMetaData.md)

#### Returns

[`OpenApiHttpResponseError`](OpenApiHttpResponseError.md)

#### Overrides

`HttpErrorResponse.constructor`

## Properties

### error

> `readonly` **error**: `any`

Defined in: node\_modules/@angular/common/http/index.d.ts:2890

#### Inherited from

`HttpErrorResponse.error`

***

### headers

> `readonly` **headers**: `HttpHeaders`

Defined in: node\_modules/@angular/common/http/index.d.ts:3879

All response headers.

#### Inherited from

`HttpErrorResponse.headers`

***

### httpErrorResponse

> `readonly` **httpErrorResponse**: `HttpErrorResponse`

Defined in: [packages/angular/open-api/src/lib/open-api-http-response.error.ts:7](https://gitlab.com/rxap/packages/-/blob/2042e24ce69e05f30c2866a6fa61d9fd6fd89a30/packages/angular/open-api/src/lib/open-api-http-response.error.ts#L7)

***

### message

> `readonly` **message**: `string`

Defined in: node\_modules/@angular/common/http/index.d.ts:2889

#### Inherited from

`HttpErrorResponse.message`

***

### metadata

> `readonly` **metadata**: [`OpenApiMetaData`](../interfaces/OpenApiMetaData.md)

Defined in: [packages/angular/open-api/src/lib/open-api-http-response.error.ts:8](https://gitlab.com/rxap/packages/-/blob/2042e24ce69e05f30c2866a6fa61d9fd6fd89a30/packages/angular/open-api/src/lib/open-api-http-response.error.ts#L8)

***

### name

> `readonly` **name**: `"HttpErrorResponse"` = `"HttpErrorResponse"`

Defined in: node\_modules/@angular/common/http/index.d.ts:2888

#### Inherited from

`HttpErrorResponse.name`

***

### ok

> `readonly` **ok**: `false` = `false`

Defined in: node\_modules/@angular/common/http/index.d.ts:2894

Errors are never okay, even when the status code is in the 2xx success range.

#### Inherited from

`HttpErrorResponse.ok`

***

### status

> `readonly` **status**: `number`

Defined in: node\_modules/@angular/common/http/index.d.ts:3883

Response status code.

#### Inherited from

`HttpErrorResponse.status`

***

### statusText

> `readonly` **statusText**: `string`

Defined in: node\_modules/@angular/common/http/index.d.ts:3889

Textual description of response status code, defaults to OK.

Do not depend on this.

#### Inherited from

`HttpErrorResponse.statusText`

***

### type

> `readonly` **type**: `ResponseHeader` \| `Response`

Defined in: node\_modules/@angular/common/http/index.d.ts:3901

Type of the response, narrowed to either the full response or the header.

#### Inherited from

`HttpErrorResponse.type`

***

### url

> `readonly` **url**: `null` \| `string`

Defined in: node\_modules/@angular/common/http/index.d.ts:3893

URL of the resource retrieved, or null if not available.

#### Inherited from

`HttpErrorResponse.url`

## Accessors

### operationId

#### Get Signature

> **get** **operationId**(): `string`

Defined in: [packages/angular/open-api/src/lib/open-api-http-response.error.ts:23](https://gitlab.com/rxap/packages/-/blob/2042e24ce69e05f30c2866a6fa61d9fd6fd89a30/packages/angular/open-api/src/lib/open-api-http-response.error.ts#L23)

##### Returns

`string`

***

### serverId

#### Get Signature

> **get** **serverId**(): `undefined` \| `string`

Defined in: [packages/angular/open-api/src/lib/open-api-http-response.error.ts:27](https://gitlab.com/rxap/packages/-/blob/2042e24ce69e05f30c2866a6fa61d9fd6fd89a30/packages/angular/open-api/src/lib/open-api-http-response.error.ts#L27)

##### Returns

`undefined` \| `string`
